<?php
	$this->extend('/Scaffolds/admin_form');

	echo $this->element('Forms/fields', array('fields' => $fields));

	$this->append('additionalFormTabs');

	echo $this->Html->script(
		array(
			'EvSlideshow.adminSlides',
		),
		array('inline'=>false)
	);

	$slides = [];
	if (isset($this->data['Slide']) && !empty($this->data['Slide'])) {
		$slides = $this->data['Slide'];
	}

	// Handle Slides
    echo $this->element(
        'form_tab',
        array(
            'title' =>  __('Slides'),
            'tabContent' => $this->element(
                'EvSlideshow.Slides/slide_fields',
                array(
                    'slides' => $slides,
                    'slideFields' => $slideFields,
                    'slideImageSlots' => $slideImageSlots['main']
                )
            ),
            'divOptions' => array(
                'class' => 'slide-tab'
            )
        )
    );

	$this->end();
?>
